Miridia
Portal
Logistics

Waybills

The waybills operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/waybillsFetch driver waybills
GET/api/waybill/download/{shipmentId}Download waybill

Fetch driver waybills

GET/api/waybills

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Response

200. Returns a PagedResult envelope. Each item in data is WaybillDto.

Request
curl -X GET "https://api.miridia.io/api/waybills" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "waybillNumber": "string",
      "waybillDate": "string",
      "dispatchCode": "string",
      "logoId": "string",
      "customerDetails": "string",
      "shipmentDetails": "string",
      "pickupAddress": "string",
      "deliveryAddress": "string",
      "waybillId": "string",
      "productWeight": "string",
      "requiresApproval": "string",
      "templateId": "string"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Download waybill

GET/api/waybill/download/{shipmentId}

Access. Send a bearer token or an API key. The caller needs the Shipments view permission.

Parameters

NameInTypeRequiredDescription
shipmentIdpathstring (uuid)Yes
inlinequerybooleanNoDefault: false.

Response

200. The response has no body.

Request
curl -X GET "https://api.miridia.io/api/waybill/download/{shipmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Models

The operations on this page use these object types. Select a type to see its fields.

WaybillDto
FieldTypeDescription
waybillNumberstring
waybillDatestring
dispatchCodestring
logoIdstring
customerDetailsstring
shipmentDetailsstring
pickupAddressstring
deliveryAddressstring
waybillIdstring
productWeightstring
requiresApprovalstring
templateIdstring